package com.ynet.life.sujrb.file;

import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.Trace;
import java.math.BigDecimal;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_file.jar:com/ynet/life/sujrb/file/MultiTransferRecord.class */
public class MultiTransferRecord implements RecordInterface {
    private String accountNo;
    private String customerAccountName;
    private String accountOpenNode;
    private String tranType;
    private String recType;
    private String recAccount;
    private String recAccountName;
    private String recAccountOpenBank;
    private String rcvNode;
    private String unionBankNo;
    private String currencyType;
    private String payAmount;
    private String payUse;
    private String remark;
    private String valueDate;
    private String noticeRcv;
    private String rcvPhone;
    private String rcvEmail;
    private String accountType;
    private String functionId;
    private String remarkExtr;
    private String provinceName;
    private String cityName;

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public void initFromMap(Map input) {
        try {
            this.functionId = (String) input.get(FileConstants.LIST_ACCBILL_FUNCTIONID);
            this.accountNo = (String) input.get(FileConstants.LIST_ACCBILL_ACCOUNTNO);
            this.customerAccountName = (String) input.get(FileConstants.BATCH_RECORD_CUSTOMER_ACCOUNT_NAME);
            this.accountOpenNode = (String) input.get(FileConstants.BATCH_RECORD_REC_ACCOUNT_OPEN_NODE);
            this.tranType = (String) input.get(FileConstants.BATCH_RECORD_TRANTYPE);
            this.accountType = (String) input.get(FileConstants.BATCH_RECORD_PAY_ACCOUNT_TYPE);
            this.recType = (String) input.get(FileConstants.PAYEE_PAYEE_RECTYPE);
            this.recAccount = (String) input.get("recAccount");
            this.recAccountName = (String) input.get("recAccountName");
            this.recAccountOpenBank = (String) input.get("recAccountOpenBank");
            this.rcvNode = (String) input.get(FileConstants.BATCH_RECORD_REC_RCVNODE);
            this.unionBankNo = (String) input.get(FileConstants.BATCH_RECORD_UNIONBANKNO);
            this.currencyType = (String) input.get("currencyType");
            this.payAmount = (String) input.get("payAmount");
            this.payUse = (String) input.get(FileConstants.BATCH_RECORD_PAY_USE);
            this.remark = (String) input.get(FileConstants.SALARY_RECORD_REMARK);
            this.valueDate = (String) input.get(FileConstants.SALARY_RECORD_VALUEDATE);
            this.noticeRcv = (String) input.get(FileConstants.BATCH_RECORD_NOTICERCV);
            this.rcvPhone = (String) input.get(FileConstants.BATCH_RECORD_RCVPHONE);
            this.rcvEmail = (String) input.get(FileConstants.BATCH_RECORD_RCVEMAIL);
            this.remarkExtr = (String) input.get("remarkExtr");
            this.provinceName = (String) input.get("provinceName");
            this.cityName = (String) input.get("cityName");
        } catch (Exception ex) {
            Trace.logError("LifeFile", "LifeFile异常", ex);
        }
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public KeyedCollection toKeyedCollection() {
        KeyedCollection result = new KeyedCollection();
        result.put(FileConstants.LIST_ACCBILL_FUNCTIONID, this.functionId);
        result.put(FileConstants.LIST_ACCBILL_ACCOUNTNO, this.accountNo);
        result.put(FileConstants.BATCH_RECORD_CUSTOMER_ACCOUNT_NAME, this.customerAccountName);
        result.put(FileConstants.BATCH_RECORD_REC_ACCOUNT_OPEN_NODE, this.accountOpenNode);
        result.put(FileConstants.BATCH_RECORD_TRANTYPE, this.tranType);
        result.put(FileConstants.BATCH_RECORD_PAY_ACCOUNT_TYPE, this.accountType);
        result.put(FileConstants.PAYEE_PAYEE_RECTYPE, this.recType);
        result.put("recAccount", this.recAccount);
        result.put("recAccountName", this.recAccountName);
        result.put("recAccountOpenBank", this.recAccountOpenBank);
        result.put(FileConstants.BATCH_RECORD_REC_RCVNODE, this.rcvNode);
        result.put(FileConstants.BATCH_RECORD_UNIONBANKNO, this.unionBankNo);
        result.put("currencyType", this.currencyType);
        result.put("payAmount", this.payAmount);
        result.put(FileConstants.BATCH_RECORD_PAY_USE, this.payUse);
        result.put(FileConstants.SALARY_RECORD_REMARK, this.remark);
        result.put(FileConstants.SALARY_RECORD_VALUEDATE, this.valueDate);
        result.put(FileConstants.BATCH_RECORD_NOTICERCV, this.noticeRcv);
        result.put(FileConstants.BATCH_RECORD_RCVPHONE, this.rcvPhone);
        result.put(FileConstants.BATCH_RECORD_RCVEMAIL, this.rcvEmail);
        result.put("remarkExtr", this.remarkExtr);
        result.put("provinceName", this.provinceName);
        result.put("cityName", this.cityName);
        result.put("orderFlowNo", (Object) null);
        result.put("createTime", (Object) null);
        result.put("orderSubmitTime", (Object) null);
        result.put(FileConstants.BATCH_RECORD_REM, (Object) null);
        result.put("bankRem", (Object) null);
        result.put(FileConstants.BATCH_RECORD_TRANCHANNEL, (Object) null);
        result.put("chargeFee", (Object) null);
        result.put("electricNo", (Object) null);
        result.put("columnMAC", (Object) null);
        result.put("agreeFlag", (Object) null);
        result.put("transferType", (Object) null);
        return result;
    }

    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    public void setCustomerAccountName(String customerAccountName) {
        this.customerAccountName = customerAccountName;
    }

    public void setAccountOpenNode(String accountOpenNode) {
        this.accountOpenNode = accountOpenNode;
    }

    public void setTranType(String tranType) {
        this.tranType = tranType;
    }

    public void setRecType(String recType) {
        this.recType = recType;
    }

    public void setRecAccount(String recAccount) {
        this.recAccount = recAccount;
    }

    public void setRecAccountName(String recAccountName) {
        this.recAccountName = recAccountName;
    }

    public void setRecAccountOpenBank(String recAccountOpenBank) {
        this.recAccountOpenBank = recAccountOpenBank;
    }

    public void setRcvNode(String rcvNode) {
        this.rcvNode = rcvNode;
    }

    public void setUnionBankNo(String unionBankNo) {
        this.unionBankNo = unionBankNo;
    }

    public void setCurrencyType(String currencyType) {
        this.currencyType = currencyType;
    }

    public void setPayAmount(String payAmount) {
        this.payAmount = payAmount;
    }

    public void setPayUse(String payUse) {
        this.payUse = payUse;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setValueDate(String valueDate) {
        this.valueDate = valueDate;
    }

    public void setNoticeRcv(String noticeRcv) {
        this.noticeRcv = noticeRcv;
    }

    public void setRcvPhone(String rcvPhone) {
        this.rcvPhone = rcvPhone;
    }

    public void setRcvEmail(String rcvEmail) {
        this.rcvEmail = rcvEmail;
    }

    public void setAccountType(String accountType) {
        this.accountType = accountType;
    }

    public void setFunctionId(String functionId) {
        this.functionId = functionId;
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public BigDecimal getAmount() {
        return new BigDecimal(this.payAmount);
    }
}
